Package org.eclipse.jdt.ui.actions

# Class JdtActionConstants

java.lang.Object
org.eclipse.jdt.ui.actions.JdtActionConstants

public class JdtActionConstants extends Object
Action ids for standard actions, for groups in the menu bar, and for actions in context menus of JDT views.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ADD_BLOCK_COMMENT`
Source menu: name of standard Block Comment global action (value `"org.eclipse.jdt.ui.actions.AddBlockComment"`).
`static final String`
`ADD_CONSTRUCTOR_FROM_SUPERCLASS`
Source menu: name of standard Add Constructor From Superclass global action (value `"org.eclipse.jdt.ui.actions.AddConstructorFromSuperclass"`).
`static final String`
`ADD_IMPORT`
Source menu: name of standard Add Import global action (value `"org.eclipse.jdt.ui.actions.AddImport"`).
`static final String`
`ADD_JAVA_DOC_COMMENT`
Source menu: name of standard Add Javadoc Comment global action (value `"org.eclipse.jdt.ui.actions.AddJavaDocComment"`).
`static final String`
`ADD_TEXTBLOCK`
Source menu: name of adding text block action (value `"org.eclipse.jdt.ui.actions.AddTextBlock"`).
`static final String`
`CHANGE_TYPE`
Refactor menu: name of standard Generalize Declared Type global action (value `"org.eclipse.jdt.ui.actions.ChangeType"`).
`static final String`
`CLEAN_UP`
Source menu: name of standard Clean up global action (value `"org.eclipse.jdt.ui.actions.CleanUp"`).
`static final String`
`COMMENT`
Source menu: name of standard Comment global action (value `"org.eclipse.jdt.ui.actions.Comment"`).
`static final String`
`CONTENT_ASSIST`
Edit menu: name of standard Code Assist global action (value `"org.eclipse.jdt.ui.actions.ContentAssist"`).
`static final String`
`CONVERT_ANONYMOUS_TO_NESTED`
Refactor menu: name of standard Covert Anonymous to Nested global action (value `"org.eclipse.jdt.ui.actions.ConvertAnonymousToNested"`).
`static final String`
`CONVERT_CLASS_TO_RECORD`
Refactor menu: name of standard Convert Class to Record global action (value `"org.eclipse.jdt.ui.actions.ConvertClassToRecord"`).
`static final String`
`CONVERT_LINE_DELIMITERS_TO_MAC`
Source menu: name of standardConvert Line Delimiters To Mac global action (value `"org.eclipse.jdt.ui.actions.ConvertLineDelimitersToMac"`).
`static final String`
`CONVERT_LINE_DELIMITERS_TO_UNIX`
Source menu: name of standard Convert Line Delimiters To UNIX global action (value `"org.eclipse.jdt.ui.actions.ConvertLineDelimitersToUNIX"`).
`static final String`
`CONVERT_LINE_DELIMITERS_TO_WINDOWS`
Source menu: name of standard Convert Line Delimiters To Windows global action (value `"org.eclipse.jdt.ui.actions.ConvertLineDelimitersToWindows"`).
`static final String`
`CONVERT_LOCAL_TO_FIELD`
Refactor menu: name of standard global action to convert a local variable to a field (value `"org.eclipse.jdt.ui.actions.ConvertLocalToField"`).
`static final String`
`CONVERT_NESTED_TO_TOP`
Refactor menu: name of standard global action to convert a nested type to a top level type (value `"org.eclipse.jdt.ui.actions.MoveInnerToTop"`).
`static final String`
`EXTERNALIZE_STRINGS`
Source menu: name of standard Externalize Strings global action (value `"org.eclipse.jdt.ui.actions.ExternalizeStrings"`).
`static final String`
`EXTRACT_CLASS`
Refactor menu: name of standard Extract Class global action (value `"org.eclipse.jdt.ui.actions.ExtractClass"`).
`static final String`
`EXTRACT_CONSTANT`
Refactor menu: name of standard Extract Constant global action (value `"org.eclipse.jdt.ui.actions.ExtractConstant"`).
`static final String`
`EXTRACT_INTERFACE`
Refactor menu: name of standard Extract Interface global action (value `"org.eclipse.jdt.ui.actions.ExtractInterface"`).
`static final String`
`EXTRACT_METHOD`
Refactor menu: name of standard Extract Method global action (value `"org.eclipse.jdt.ui.actions.ExtractMethod"`).
`static final String`
`EXTRACT_TEMP`
Refactor menu: name of standard Extract Temp global action (value `"org.eclipse.jdt.ui.actions.ExtractTemp"`).
`static final String`
`FIND_BREAK_CONTINUE_TARGET_OCCURRENCES`
Search menu: name of standard Find break/continue occurrences global action (value `"org.eclipse.jdt.ui.actions.BreakContinueTargetOccurrences"`).
`static final String`
`FIND_DECLARATIONS_IN_HIERARCHY`
Search menu: name of standard Find Declarations in Hierarchy global action (value `"org.eclipse.jdt.ui.actions.DeclarationsInHierarchy"`).
`static final String`
`FIND_DECLARATIONS_IN_PROJECT`
Search menu: name of standard Find Declarations in Project global action (value `"org.eclipse.jdt.ui.actions.DeclarationsInProject"`).
`static final String`
`FIND_DECLARATIONS_IN_WORKING_SET`
Search menu: name of standard Find Declarations in Working Set global action (value `"org.eclipse.jdt.ui.actions.DeclarationsInWorkingSet"`).
`static final String`
`FIND_DECLARATIONS_IN_WORKSPACE`
Search menu: name of standard Find Declarations in Workspace global action (value `"org.eclipse.jdt.ui.actions.DeclarationsInWorkspace"`).
`static final String`
`FIND_EXCEPTION_OCCURRENCES`
Search menu: name of standard Find exception occurrences global action (value `"org.eclipse.jdt.ui.actions.ExceptionOccurrences"`).
`static final String`
`FIND_IMPLEMENT_OCCURRENCES`
Search menu: name of standard Find implement occurrences global action (value `"org.eclipse.jdt.ui.actions.ImplementOccurrences"`).
`static final String`
`FIND_IMPLEMENTORS_IN_PROJECT`
Search menu: name of standard Find Implementors in Project global action (value `"org.eclipse.jdt.ui.actions.ImplementorsInProject"`).
`static final String`
`FIND_IMPLEMENTORS_IN_WORKING_SET`
Search menu: name of standard Find Implementors in Working Set global action (value `"org.eclipse.jdt.ui.actions.ImplementorsInWorkingSet"`).
`static final String`
`FIND_IMPLEMENTORS_IN_WORKSPACE`
Search menu: name of standard Find Implementors in Workspace global action (value `"org.eclipse.jdt.ui.actions.ImplementorsInWorkspace"`).
`static final String`
`FIND_METHOD_EXIT_OCCURRENCES`
Search menu: name of standard method exit occurrences global action (value `"org.eclipse.jdt.ui.actions.MethodExitOccurrences"`).
`static final String`
`FIND_OCCURRENCES_IN_FILE`
Search menu: name of standard Occurrences in File global action (value `"org.eclipse.jdt.ui.actions.OccurrencesInFile"`).
`static final String`
`FIND_READ_ACCESS_IN_HIERARCHY`
Search menu: name of standard Find Read Access in Hierarchy global action (value `"org.eclipse.jdt.ui.actions.ReadAccessInHierarchy"`).
`static final String`
`FIND_READ_ACCESS_IN_PROJECT`
Search menu: name of standard Find Read Access in Project global action (value `"org.eclipse.jdt.ui.actions.ReadAccessInProject"`).
`static final String`
`FIND_READ_ACCESS_IN_WORKING_SET`
Search menu: name of standard Find Read Access in Working Set global action (value `"org.eclipse.jdt.ui.actions.ReadAccessInWorkingSet"`).
`static final String`
`FIND_READ_ACCESS_IN_WORKSPACE`
Search menu: name of standard Find Read Access in Workspace global action (value `"org.eclipse.jdt.ui.actions.ReadAccessInWorkspace"`).
`static final String`
`FIND_REFERENCES_IN_HIERARCHY`
Search menu: name of standard Find References in Hierarchy global action (value `"org.eclipse.jdt.ui.actions.ReferencesInHierarchy"`).
`static final String`
`FIND_REFERENCES_IN_PROJECT`
Search menu: name of standard Find References in Project global action (value `"org.eclipse.jdt.ui.actions.ReferencesInProject"`).
`static final String`
`FIND_REFERENCES_IN_WORKING_SET`
Search menu: name of standard Find References in Working Set global action (value `"org.eclipse.jdt.ui.actions.ReferencesInWorkingSet"`).
`static final String`
`FIND_REFERENCES_IN_WORKSPACE`
Search menu: name of standard Find References in Workspace global action (value `"org.eclipse.jdt.ui.actions.ReferencesInWorkspace"`).
`static final String`
`FIND_STRINGS_TO_EXTERNALIZE`
Deprecated.
Use `EXTERNALIZE_STRINGS` instead
`static final String`
`FIND_WRITE_ACCESS_IN_HIERARCHY`
Search menu: name of standard Find Read Access in Hierarchy global action (value `"org.eclipse.jdt.ui.actions.WriteAccessInHierarchy"`).
`static final String`
`FIND_WRITE_ACCESS_IN_PROJECT`
Search menu: name of standard Find Write Access in Project global action (value `"org.eclipse.jdt.ui.actions.WriteAccessInProject"`).
`static final String`
`FIND_WRITE_ACCESS_IN_WORKING_SET`
Search menu: name of standard Find Read Access in Working Set global action (value `"org.eclipse.jdt.ui.actions.WriteAccessInWorkingSet"`).
`static final String`
`FIND_WRITE_ACCESS_IN_WORKSPACE`
Search menu: name of standard Find Write Access in Workspace global action (value `"org.eclipse.jdt.ui.actions.WriteAccessInWorkspace"`).
`static final String`
`FORMAT`
Source menu: name of standard Format global action (value `"org.eclipse.jdt.ui.actions.Format"`).
`static final String`
`FORMAT_ELEMENT`
Source menu: name of standard Format Element global action (value `"org.eclipse.jdt.ui.actions.FormatElement"`).
`static final String`
`GENERATE_CONSTRUCTOR_USING_FIELDS`
Source menu: name of standard Generate Constructor using Fields global action (value `"org.eclipse.jdt.ui.actions.GenerateConstructorUsingFields"`).
`static final String`
`GENERATE_DELEGATE_METHODS`
Source menu: name of standard delegate methods global action (value `"org.eclipse.jdt.ui.actions.GenerateDelegateMethods"`).
`static final String`
`GENERATE_GETTER_SETTER`
Source menu: name of standard Generate Getter and Setter global action (value `"org.eclipse.jdt.ui.actions.GenerateGetterSetter"`).
`static final String`
`GENERATE_HASHCODE_EQUALS`
Source menu: name of standard Generate hashCode() and equals() global action (value `"org.eclipse.jdt.ui.actions.GenerateHashCodeEquals"`).
`static final String`
`GENERATE_TOSTRING`
Source menu: name of standard Generate toString() global action (value `"org.eclipse.jdt.ui.actions.GenerateToString"`).
`static final String`
`GOTO_PACKAGE`
Navigate menu: name of standard Goto Package global action (value `"org.eclipse.jdt.ui.actions.GoToPackage"`).
`static final String`
`GOTO_TYPE`
Navigate menu: name of standard Goto Type global action (value `"org.eclipse.jdt.ui.actions.GoToType"`).
`static final String`
`INDENT`
Source menu: name of standard Indent global action (value `"org.eclipse.jdt.ui.actions.Indent"`).
`static final String`
`INFER_TYPE_ARGUMENTS`
Refactor menu: name of standard Infer Generic Type Arguments global action (value `"org.eclipse.jdt.ui.actions.InferTypeArguments"`).
`static final String`
`INLINE`
Refactor menu: name of standard Inline global action (value `"org.eclipse.jdt.ui.actions.Inline"`).
`static final String`
`INLINE_TEMP`
Deprecated.
Use INLINE
`static final String`
`INTRODUCE_FACTORY`
Refactor menu: name of standard Introduce Factory global action (value `"org.eclipse.jdt.ui.actions.IntroduceFactory"`).
`static final String`
`INTRODUCE_INDIRECTION`
Refactor menu: name of standard Introduce Indirection global action (value `"org.eclipse.jdt.ui.actions.IntroduceIndirection"`).
`static final String`
`INTRODUCE_PARAMETER`
Refactor menu: name of standard Introduce Parameter global action (value `"org.eclipse.jdt.ui.actions.IntroduceParameter"`).
`static final String`
`INTRODUCE_PARAMETER_OBJECT`
Refactor menu> name of the standard Introduce Parameter Object action (value `"org.eclipse.jdt.ui.actions.IntroduceParameterObject"`).
`static final String`
`MAKE_STATIC`
Refactor menu: name of standard make static global action (value `"org.eclipse.jdt.ui.actions.makeStatic"`).
`static final String`
`MODIFY_PARAMETERS`
Refactor menu: name of standard Modify Parameters global action (value `"org.eclipse.jdt.ui.actions.ModifyParameters"`).
`static final String`
`MOVE`
Refactor menu: name of standard Move Element global action (value `"org.eclipse.jdt.ui.actions.Move"`).
`static final String`
`OPEN`
Navigate menu: name of standard Open global action (value `"org.eclipse.jdt.ui.actions.Open"`).
`static final String`
`OPEN_ATTACHED_JAVA_DOC`
Navigate menu: name of standard Open Attached Javadoc global action (value `"org.eclipse.jdt.ui.actions.OpenExternalJavaDoc"`).
`static final String`
`OPEN_CALL_HIERARCHY`
Navigate menu: name of standard Open Call Hierarchy global action (value `"org.eclipse.jdt.ui.actions.OpenCallHierarchy"`).
`static final String`
`OPEN_EXTERNAL_JAVA_DOC`
Deprecated.
As of 3.6, replaced by `OPEN_ATTACHED_JAVA_DOC`
`static final String`
`OPEN_IMPLEMENTATION`
Navigate menu: name of standard Open Implementation global action (value `"org.eclipse.jdt.ui.actions.OpenImplementation"`).
`static final String`
`OPEN_SUPER_IMPLEMENTATION`
Navigate menu: name of standard Open Super Implementation global action (value `"org.eclipse.jdt.ui.actions.OpenSuperImplementation"`).
`static final String`
`OPEN_TYPE_HIERARCHY`
Navigate menu: name of standard Open Type Hierarchy global action (value `"org.eclipse.jdt.ui.actions.OpenTypeHierarchy"`).
`static final String`
`ORGANIZE_IMPORTS`
Source menu: name of standard Organize Imports global action (value `"org.eclipse.jdt.ui.actions.OrganizeImports"`).
`static final String`
`OVERRIDE_METHODS`
Source menu: name of standard Override Methods global action (value `"org.eclipse.jdt.ui.actions.OverrideMethods"`).
`static final String`
`PULL_UP`
Refactor menu: name of standard Pull Up global action (value `"org.eclipse.jdt.ui.actions.PullUp"`).
`static final String`
`PUSH_DOWN`
Refactor menu: name of standard Push Down global action (value `"org.eclipse.jdt.ui.actions.PushDown"`).
`static final String`
`REMOVE_BLOCK_COMMENT`
Source menu: name of standard Block Uncomment global action (value `"org.eclipse.jdt.ui.actions.RemoveBlockComment"`).
`static final String`
`RENAME`
Refactor menu: name of standard Rename Element global action (value `"org.eclipse.jdt.ui.actions.Rename"`).
`static final String`
`REPLACE_INVOCATIONS`
Refactor menu: name of standard Replace Invocations global action (value `"org.eclipse.jdt.ui.actions.ReplaceInvocations"`).
`static final String`
`SELF_ENCAPSULATE_FIELD`
Refactor menu: name of standard Self Encapsulate Field global action (value `"org.eclipse.jdt.ui.actions.SelfEncapsulateField"`).
`static final String`
`SHIFT_LEFT`
Source menu: name of standard Shift Left global action (value `"org.eclipse.jdt.ui.actions.ShiftLeft"`).
`static final String`
`SHIFT_RIGHT`
Source menu: name of standard Shift Right action (value `"org.eclipse.jdt.ui.actions.ShiftRight"`).
`static final String`
`SHOW_IN_NAVIGATOR_VIEW`
Navigate menu: name of standard Show in Navigator View global action (value `"org.eclipse.jdt.ui.actions.ShowInNaviagtorView"`).
`static final String`
`SHOW_IN_PACKAGE_VIEW`
Navigate menu: name of standard Show in Packages View global action (value `"org.eclipse.jdt.ui.actions.ShowInPackagesView"`).
`static final String`
`SHOW_JAVA_DOC`
Deprecated.
As of 3.3, replaced by `ITextEditorActionConstants.SHOW_INFORMATION`
`static final String`
`SORT_MEMBERS`
Source menu: name of standard Sort Members global action (value `"org.eclipse.jdt.ui.actions.SortMembers"`).
`static final String`
`SURROUND_WITH_TRY_CATCH`
Source menu: name of standard Surround with try/catch block global action (value `"org.eclipse.jdt.ui.actions.SurroundWithTryCatch"`).
`static final String`
`SURROUND_WITH_TRY_MULTI_CATCH`
Source menu: name of standard Surround with try/multi-catch block global action (value `"org.eclipse.jdt.ui.actions.SurroundWithTryMultiCatch"`).
`static final String`
`SURROUND_WITH_TRY_WITH_RESOURCES`
Source menu: name of standard Surround with try-with-resources block global action (value `"org.eclipse.jdt.ui.actions.SurroundWithTryWithResources"`).
`static final String`
`TOGGLE_COMMENT`
Source menu: name of standard ToggleComment global action (value `"org.eclipse.jdt.ui.actions.ToggleComment"`).
`static final String`
`UNCOMMENT`
Source menu: name of standard Uncomment global action (value `"org.eclipse.jdt.ui.actions.Uncomment"`).
`static final String`
`USE_SUPERTYPE`
Refactor menu: name of standard Use Supertype global action (value `"org.eclipse.jdt.ui.actions.UseSupertype"`).

## Constructor Summary

Constructors
Constructor
Description
`JdtActionConstants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GOTO_TYPE

public static final String GOTO_TYPE
Navigate menu: name of standard Goto Type global action (value `"org.eclipse.jdt.ui.actions.GoToType"`).

See Also:
  - Constant Field Values

### GOTO_PACKAGE

public static final String GOTO_PACKAGE
Navigate menu: name of standard Goto Package global action (value `"org.eclipse.jdt.ui.actions.GoToPackage"`).

See Also:
  - Constant Field Values

### OPEN

public static final String OPEN
Navigate menu: name of standard Open global action (value `"org.eclipse.jdt.ui.actions.Open"`).

See Also:
  - Constant Field Values

### OPEN_IMPLEMENTATION

public static final String OPEN_IMPLEMENTATION
Navigate menu: name of standard Open Implementation global action (value `"org.eclipse.jdt.ui.actions.OpenImplementation"`).

Since:
  3.6
See Also:
  - Constant Field Values

### OPEN_SUPER_IMPLEMENTATION

public static final String OPEN_SUPER_IMPLEMENTATION
Navigate menu: name of standard Open Super Implementation global action (value `"org.eclipse.jdt.ui.actions.OpenSuperImplementation"`).

See Also:
  - Constant Field Values

### OPEN_TYPE_HIERARCHY

public static final String OPEN_TYPE_HIERARCHY
Navigate menu: name of standard Open Type Hierarchy global action (value `"org.eclipse.jdt.ui.actions.OpenTypeHierarchy"`).

See Also:
  - Constant Field Values

### OPEN_CALL_HIERARCHY

public static final String OPEN_CALL_HIERARCHY
Navigate menu: name of standard Open Call Hierarchy global action (value `"org.eclipse.jdt.ui.actions.OpenCallHierarchy"`).

Since:
  3.0
See Also:
  - Constant Field Values

### OPEN_EXTERNAL_JAVA_DOC

@Deprecated public static final String OPEN_EXTERNAL_JAVA_DOC
Deprecated.
As of 3.6, replaced by `OPEN_ATTACHED_JAVA_DOC`
Navigate menu: name of standard Open External Javadoc global action (value `"org.eclipse.jdt.ui.actions.OpenExternalJavaDoc"`).

See Also:
  - Constant Field Values

### OPEN_ATTACHED_JAVA_DOC

public static final String OPEN_ATTACHED_JAVA_DOC
Navigate menu: name of standard Open Attached Javadoc global action (value `"org.eclipse.jdt.ui.actions.OpenExternalJavaDoc"`).

Since:
  3.6
See Also:
  - Constant Field Values

### SHOW_IN_PACKAGE_VIEW

public static final String SHOW_IN_PACKAGE_VIEW
Navigate menu: name of standard Show in Packages View global action (value `"org.eclipse.jdt.ui.actions.ShowInPackagesView"`).

See Also:
  - Constant Field Values

### SHOW_IN_NAVIGATOR_VIEW

public static final String SHOW_IN_NAVIGATOR_VIEW
Navigate menu: name of standard Show in Navigator View global action (value `"org.eclipse.jdt.ui.actions.ShowInNaviagtorView"`).

See Also:
  - Constant Field Values

### SHOW_JAVA_DOC

@Deprecated public static final String SHOW_JAVA_DOC
Deprecated.
As of 3.3, replaced by `ITextEditorActionConstants.SHOW_INFORMATION`
Edit menu: name of standard Show Javadoc global action (value `"org.eclipse.jdt.ui.actions.ShowJavaDoc"`).

See Also:
  - Constant Field Values

### CONTENT_ASSIST

public static final String CONTENT_ASSIST
Edit menu: name of standard Code Assist global action (value `"org.eclipse.jdt.ui.actions.ContentAssist"`).

See Also:
  - Constant Field Values

### COMMENT

public static final String COMMENT
Source menu: name of standard Comment global action (value `"org.eclipse.jdt.ui.actions.Comment"`).

See Also:
  - Constant Field Values

### UNCOMMENT

public static final String UNCOMMENT
Source menu: name of standard Uncomment global action (value `"org.eclipse.jdt.ui.actions.Uncomment"`).

See Also:
  - Constant Field Values

### TOGGLE_COMMENT

public static final String TOGGLE_COMMENT
Source menu: name of standard ToggleComment global action (value `"org.eclipse.jdt.ui.actions.ToggleComment"`).

Since:
  3.0
See Also:
  - Constant Field Values

### ADD_BLOCK_COMMENT

public static final String ADD_BLOCK_COMMENT
Source menu: name of standard Block Comment global action (value `"org.eclipse.jdt.ui.actions.AddBlockComment"`).

Since:
  3.0
See Also:
  - Constant Field Values

### REMOVE_BLOCK_COMMENT

public static final String REMOVE_BLOCK_COMMENT
Source menu: name of standard Block Uncomment global action (value `"org.eclipse.jdt.ui.actions.RemoveBlockComment"`).

Since:
  3.0
See Also:
  - Constant Field Values

### INDENT

public static final String INDENT
Source menu: name of standard Indent global action (value `"org.eclipse.jdt.ui.actions.Indent"`).

Since:
  3.0
See Also:
  - Constant Field Values

### ADD_TEXTBLOCK

public static final String ADD_TEXTBLOCK
Source menu: name of adding text block action (value `"org.eclipse.jdt.ui.actions.AddTextBlock"`).

Since:
  3.20
See Also:
  - Constant Field Values

### SHIFT_RIGHT

public static final String SHIFT_RIGHT
Source menu: name of standard Shift Right action (value `"org.eclipse.jdt.ui.actions.ShiftRight"`).

See Also:
  - Constant Field Values

### SHIFT_LEFT

public static final String SHIFT_LEFT
Source menu: name of standard Shift Left global action (value `"org.eclipse.jdt.ui.actions.ShiftLeft"`).

See Also:
  - Constant Field Values

### FORMAT

public static final String FORMAT
Source menu: name of standard Format global action (value `"org.eclipse.jdt.ui.actions.Format"`).

See Also:
  - Constant Field Values

### FORMAT_ELEMENT

public static final String FORMAT_ELEMENT
Source menu: name of standard Format Element global action (value `"org.eclipse.jdt.ui.actions.FormatElement"`).

Since:
  3.0
See Also:
  - Constant Field Values

### ADD_IMPORT

public static final String ADD_IMPORT
Source menu: name of standard Add Import global action (value `"org.eclipse.jdt.ui.actions.AddImport"`).

See Also:
  - Constant Field Values

### ORGANIZE_IMPORTS

public static final String ORGANIZE_IMPORTS
Source menu: name of standard Organize Imports global action (value `"org.eclipse.jdt.ui.actions.OrganizeImports"`).

See Also:
  - Constant Field Values

### SORT_MEMBERS

public static final String SORT_MEMBERS
Source menu: name of standard Sort Members global action (value `"org.eclipse.jdt.ui.actions.SortMembers"`).

Since:
  2.1
See Also:
  - Constant Field Values

### SURROUND_WITH_TRY_CATCH

public static final String SURROUND_WITH_TRY_CATCH
Source menu: name of standard Surround with try/catch block global action (value `"org.eclipse.jdt.ui.actions.SurroundWithTryCatch"`).

See Also:
  - Constant Field Values

### SURROUND_WITH_TRY_MULTI_CATCH

public static final String SURROUND_WITH_TRY_MULTI_CATCH
Source menu: name of standard Surround with try/multi-catch block global action (value `"org.eclipse.jdt.ui.actions.SurroundWithTryMultiCatch"`).

Since:
  3.7.1
See Also:
  - Constant Field Values

### SURROUND_WITH_TRY_WITH_RESOURCES

public static final String SURROUND_WITH_TRY_WITH_RESOURCES
Source menu: name of standard Surround with try-with-resources block global action (value `"org.eclipse.jdt.ui.actions.SurroundWithTryWithResources"`).

Since:
  3.21
See Also:
  - Constant Field Values

### OVERRIDE_METHODS

public static final String OVERRIDE_METHODS
Source menu: name of standard Override Methods global action (value `"org.eclipse.jdt.ui.actions.OverrideMethods"`).

See Also:
  - Constant Field Values

### GENERATE_GETTER_SETTER

public static final String GENERATE_GETTER_SETTER
Source menu: name of standard Generate Getter and Setter global action (value `"org.eclipse.jdt.ui.actions.GenerateGetterSetter"`).

See Also:
  - Constant Field Values

### GENERATE_DELEGATE_METHODS

public static final String GENERATE_DELEGATE_METHODS
Source menu: name of standard delegate methods global action (value `"org.eclipse.jdt.ui.actions.GenerateDelegateMethods"`).

Since:
  2.1
See Also:
  - Constant Field Values

### ADD_CONSTRUCTOR_FROM_SUPERCLASS

public static final String ADD_CONSTRUCTOR_FROM_SUPERCLASS
Source menu: name of standard Add Constructor From Superclass global action (value `"org.eclipse.jdt.ui.actions.AddConstructorFromSuperclass"`).

See Also:
  - Constant Field Values

### GENERATE_CONSTRUCTOR_USING_FIELDS

public static final String GENERATE_CONSTRUCTOR_USING_FIELDS
Source menu: name of standard Generate Constructor using Fields global action (value `"org.eclipse.jdt.ui.actions.GenerateConstructorUsingFields"`).

See Also:
  - Constant Field Values

### GENERATE_HASHCODE_EQUALS

public static final String GENERATE_HASHCODE_EQUALS
Source menu: name of standard Generate hashCode() and equals() global action (value `"org.eclipse.jdt.ui.actions.GenerateHashCodeEquals"`).

Since:
  3.2
See Also:
  - Constant Field Values

### GENERATE_TOSTRING

public static final String GENERATE_TOSTRING
Source menu: name of standard Generate toString() global action (value `"org.eclipse.jdt.ui.actions.GenerateToString"`).

Since:
  3.5
See Also:
  - Constant Field Values

### ADD_JAVA_DOC_COMMENT

public static final String ADD_JAVA_DOC_COMMENT
Source menu: name of standard Add Javadoc Comment global action (value `"org.eclipse.jdt.ui.actions.AddJavaDocComment"`).

See Also:
  - Constant Field Values

### FIND_STRINGS_TO_EXTERNALIZE

@Deprecated public static final String FIND_STRINGS_TO_EXTERNALIZE
Deprecated.
Use `EXTERNALIZE_STRINGS` instead
Source menu: name of standard Find Strings to Externalize global action (value `"org.eclipse.jdt.ui.actions.FindStringsToExternalize"`).

See Also:
  - Constant Field Values

### EXTERNALIZE_STRINGS

public static final String EXTERNALIZE_STRINGS
Source menu: name of standard Externalize Strings global action (value `"org.eclipse.jdt.ui.actions.ExternalizeStrings"`).

See Also:
  - Constant Field Values

### CONVERT_LINE_DELIMITERS_TO_WINDOWS

public static final String CONVERT_LINE_DELIMITERS_TO_WINDOWS
Source menu: name of standard Convert Line Delimiters To Windows global action (value `"org.eclipse.jdt.ui.actions.ConvertLineDelimitersToWindows"`).

See Also:
  - Constant Field Values

### CONVERT_LINE_DELIMITERS_TO_UNIX

public static final String CONVERT_LINE_DELIMITERS_TO_UNIX
Source menu: name of standard Convert Line Delimiters To UNIX global action (value `"org.eclipse.jdt.ui.actions.ConvertLineDelimitersToUNIX"`).

See Also:
  - Constant Field Values

### CONVERT_LINE_DELIMITERS_TO_MAC

public static final String CONVERT_LINE_DELIMITERS_TO_MAC
Source menu: name of standardConvert Line Delimiters To Mac global action (value `"org.eclipse.jdt.ui.actions.ConvertLineDelimitersToMac"`).

See Also:
  - Constant Field Values

### CLEAN_UP

public static final String CLEAN_UP
Source menu: name of standard Clean up global action (value `"org.eclipse.jdt.ui.actions.CleanUp"`).

Since:
  3.2
See Also:
  - Constant Field Values

### SELF_ENCAPSULATE_FIELD

public static final String SELF_ENCAPSULATE_FIELD
Refactor menu: name of standard Self Encapsulate Field global action (value `"org.eclipse.jdt.ui.actions.SelfEncapsulateField"`).

See Also:
  - Constant Field Values

### MODIFY_PARAMETERS

public static final String MODIFY_PARAMETERS
Refactor menu: name of standard Modify Parameters global action (value `"org.eclipse.jdt.ui.actions.ModifyParameters"`).

See Also:
  - Constant Field Values

### PULL_UP

public static final String PULL_UP
Refactor menu: name of standard Pull Up global action (value `"org.eclipse.jdt.ui.actions.PullUp"`).

See Also:
  - Constant Field Values

### PUSH_DOWN

public static final String PUSH_DOWN
Refactor menu: name of standard Push Down global action (value `"org.eclipse.jdt.ui.actions.PushDown"`).

Since:
  2.1
See Also:
  - Constant Field Values

### MOVE

public static final String MOVE
Refactor menu: name of standard Move Element global action (value `"org.eclipse.jdt.ui.actions.Move"`).

See Also:
  - Constant Field Values

### RENAME

public static final String RENAME
Refactor menu: name of standard Rename Element global action (value `"org.eclipse.jdt.ui.actions.Rename"`).

See Also:
  - Constant Field Values

### INLINE_TEMP

@Deprecated public static final String INLINE_TEMP
Deprecated.
Use INLINE
Refactor menu: name of standard Inline Temp global action (value `"org.eclipse.jdt.ui.actions.InlineTemp"`).

See Also:
  - Constant Field Values

### EXTRACT_TEMP

public static final String EXTRACT_TEMP
Refactor menu: name of standard Extract Temp global action (value `"org.eclipse.jdt.ui.actions.ExtractTemp"`).

See Also:
  - Constant Field Values

### EXTRACT_CONSTANT

public static final String EXTRACT_CONSTANT
Refactor menu: name of standard Extract Constant global action (value `"org.eclipse.jdt.ui.actions.ExtractConstant"`).

Since:
  2.1
See Also:
  - Constant Field Values

### MAKE_STATIC

public static final String MAKE_STATIC
Refactor menu: name of standard make static global action (value `"org.eclipse.jdt.ui.actions.makeStatic"`).

Since:
  3.32
See Also:
  - Constant Field Values

### INTRODUCE_PARAMETER

public static final String INTRODUCE_PARAMETER
Refactor menu: name of standard Introduce Parameter global action (value `"org.eclipse.jdt.ui.actions.IntroduceParameter"`).

Since:
  3.0
See Also:
  - Constant Field Values

### INTRODUCE_FACTORY

public static final String INTRODUCE_FACTORY
Refactor menu: name of standard Introduce Factory global action (value `"org.eclipse.jdt.ui.actions.IntroduceFactory"`).

Since:
  3.0
See Also:
  - Constant Field Values

### INTRODUCE_PARAMETER_OBJECT

public static final String INTRODUCE_PARAMETER_OBJECT
Refactor menu> name of the standard Introduce Parameter Object action (value `"org.eclipse.jdt.ui.actions.IntroduceParameterObject"`).

Since:
  3.4
See Also:
  - Constant Field Values

### EXTRACT_METHOD

public static final String EXTRACT_METHOD
Refactor menu: name of standard Extract Method global action (value `"org.eclipse.jdt.ui.actions.ExtractMethod"`).

See Also:
  - Constant Field Values

### REPLACE_INVOCATIONS

public static final String REPLACE_INVOCATIONS
Refactor menu: name of standard Replace Invocations global action (value `"org.eclipse.jdt.ui.actions.ReplaceInvocations"`).

Since:
  3.2
See Also:
  - Constant Field Values

### INTRODUCE_INDIRECTION

public static final String INTRODUCE_INDIRECTION
Refactor menu: name of standard Introduce Indirection global action (value `"org.eclipse.jdt.ui.actions.IntroduceIndirection"`).

Since:
  3.2
See Also:
  - Constant Field Values

### INLINE

public static final String INLINE
Refactor menu: name of standard Inline global action (value `"org.eclipse.jdt.ui.actions.Inline"`).

Since:
  2.1
See Also:
  - Constant Field Values

### EXTRACT_INTERFACE

public static final String EXTRACT_INTERFACE
Refactor menu: name of standard Extract Interface global action (value `"org.eclipse.jdt.ui.actions.ExtractInterface"`).

Since:
  2.1
See Also:
  - Constant Field Values

### EXTRACT_CLASS

public static final String EXTRACT_CLASS
Refactor menu: name of standard Extract Class global action (value `"org.eclipse.jdt.ui.actions.ExtractClass"`).

Since:
  3.4
See Also:
  - Constant Field Values

### CHANGE_TYPE

public static final String CHANGE_TYPE
Refactor menu: name of standard Generalize Declared Type global action (value `"org.eclipse.jdt.ui.actions.ChangeType"`).

Since:
  3.0
See Also:
  - Constant Field Values

### CONVERT_NESTED_TO_TOP

public static final String CONVERT_NESTED_TO_TOP
Refactor menu: name of standard global action to convert a nested type to a top level type (value `"org.eclipse.jdt.ui.actions.MoveInnerToTop"`).

Since:
  2.1
See Also:
  - Constant Field Values

### USE_SUPERTYPE

public static final String USE_SUPERTYPE
Refactor menu: name of standard Use Supertype global action (value `"org.eclipse.jdt.ui.actions.UseSupertype"`).

Since:
  2.1
See Also:
  - Constant Field Values

### INFER_TYPE_ARGUMENTS

public static final String INFER_TYPE_ARGUMENTS
Refactor menu: name of standard Infer Generic Type Arguments global action (value `"org.eclipse.jdt.ui.actions.InferTypeArguments"`).

Since:
  3.1
See Also:
  - Constant Field Values

### CONVERT_LOCAL_TO_FIELD

public static final String CONVERT_LOCAL_TO_FIELD
Refactor menu: name of standard global action to convert a local variable to a field (value `"org.eclipse.jdt.ui.actions.ConvertLocalToField"`).

Since:
  2.1
See Also:
  - Constant Field Values

### CONVERT_ANONYMOUS_TO_NESTED

public static final String CONVERT_ANONYMOUS_TO_NESTED
Refactor menu: name of standard Covert Anonymous to Nested global action (value `"org.eclipse.jdt.ui.actions.ConvertAnonymousToNested"`).

Since:
  2.1
See Also:
  - Constant Field Values

### CONVERT_CLASS_TO_RECORD

public static final String CONVERT_CLASS_TO_RECORD
Refactor menu: name of standard Convert Class to Record global action (value `"org.eclipse.jdt.ui.actions.ConvertClassToRecord"`).

Since:
  3.37
See Also:
  - Constant Field Values

### FIND_REFERENCES_IN_WORKSPACE

public static final String FIND_REFERENCES_IN_WORKSPACE
Search menu: name of standard Find References in Workspace global action (value `"org.eclipse.jdt.ui.actions.ReferencesInWorkspace"`).

See Also:
  - Constant Field Values

### FIND_REFERENCES_IN_PROJECT

public static final String FIND_REFERENCES_IN_PROJECT
Search menu: name of standard Find References in Project global action (value `"org.eclipse.jdt.ui.actions.ReferencesInProject"`).

See Also:
  - Constant Field Values

### FIND_REFERENCES_IN_HIERARCHY

public static final String FIND_REFERENCES_IN_HIERARCHY
Search menu: name of standard Find References in Hierarchy global action (value `"org.eclipse.jdt.ui.actions.ReferencesInHierarchy"`).

See Also:
  - Constant Field Values

### FIND_REFERENCES_IN_WORKING_SET

public static final String FIND_REFERENCES_IN_WORKING_SET
Search menu: name of standard Find References in Working Set global action (value `"org.eclipse.jdt.ui.actions.ReferencesInWorkingSet"`).

See Also:
  - Constant Field Values

### FIND_DECLARATIONS_IN_WORKSPACE

public static final String FIND_DECLARATIONS_IN_WORKSPACE
Search menu: name of standard Find Declarations in Workspace global action (value `"org.eclipse.jdt.ui.actions.DeclarationsInWorkspace"`).

See Also:
  - Constant Field Values

### FIND_DECLARATIONS_IN_PROJECT

public static final String FIND_DECLARATIONS_IN_PROJECT
Search menu: name of standard Find Declarations in Project global action (value `"org.eclipse.jdt.ui.actions.DeclarationsInProject"`).

See Also:
  - Constant Field Values

### FIND_DECLARATIONS_IN_HIERARCHY

public static final String FIND_DECLARATIONS_IN_HIERARCHY
Search menu: name of standard Find Declarations in Hierarchy global action (value `"org.eclipse.jdt.ui.actions.DeclarationsInHierarchy"`).

See Also:
  - Constant Field Values

### FIND_DECLARATIONS_IN_WORKING_SET

public static final String FIND_DECLARATIONS_IN_WORKING_SET
Search menu: name of standard Find Declarations in Working Set global action (value `"org.eclipse.jdt.ui.actions.DeclarationsInWorkingSet"`).

See Also:
  - Constant Field Values

### FIND_IMPLEMENTORS_IN_WORKSPACE

public static final String FIND_IMPLEMENTORS_IN_WORKSPACE
Search menu: name of standard Find Implementors in Workspace global action (value `"org.eclipse.jdt.ui.actions.ImplementorsInWorkspace"`).

See Also:
  - Constant Field Values

### FIND_IMPLEMENTORS_IN_PROJECT

public static final String FIND_IMPLEMENTORS_IN_PROJECT
Search menu: name of standard Find Implementors in Project global action (value `"org.eclipse.jdt.ui.actions.ImplementorsInProject"`).

See Also:
  - Constant Field Values

### FIND_IMPLEMENTORS_IN_WORKING_SET

public static final String FIND_IMPLEMENTORS_IN_WORKING_SET
Search menu: name of standard Find Implementors in Working Set global action (value `"org.eclipse.jdt.ui.actions.ImplementorsInWorkingSet"`).

See Also:
  - Constant Field Values

### FIND_READ_ACCESS_IN_WORKSPACE

public static final String FIND_READ_ACCESS_IN_WORKSPACE
Search menu: name of standard Find Read Access in Workspace global action (value `"org.eclipse.jdt.ui.actions.ReadAccessInWorkspace"`).

See Also:
  - Constant Field Values

### FIND_READ_ACCESS_IN_PROJECT

public static final String FIND_READ_ACCESS_IN_PROJECT
Search menu: name of standard Find Read Access in Project global action (value `"org.eclipse.jdt.ui.actions.ReadAccessInProject"`).

See Also:
  - Constant Field Values

### FIND_READ_ACCESS_IN_HIERARCHY

public static final String FIND_READ_ACCESS_IN_HIERARCHY
Search menu: name of standard Find Read Access in Hierarchy global action (value `"org.eclipse.jdt.ui.actions.ReadAccessInHierarchy"`).

See Also:
  - Constant Field Values

### FIND_READ_ACCESS_IN_WORKING_SET

public static final String FIND_READ_ACCESS_IN_WORKING_SET
Search menu: name of standard Find Read Access in Working Set global action (value `"org.eclipse.jdt.ui.actions.ReadAccessInWorkingSet"`).

See Also:
  - Constant Field Values

### FIND_WRITE_ACCESS_IN_WORKSPACE

public static final String FIND_WRITE_ACCESS_IN_WORKSPACE
Search menu: name of standard Find Write Access in Workspace global action (value `"org.eclipse.jdt.ui.actions.WriteAccessInWorkspace"`).

See Also:
  - Constant Field Values

### FIND_WRITE_ACCESS_IN_PROJECT

public static final String FIND_WRITE_ACCESS_IN_PROJECT
Search menu: name of standard Find Write Access in Project global action (value `"org.eclipse.jdt.ui.actions.WriteAccessInProject"`).

See Also:
  - Constant Field Values

### FIND_WRITE_ACCESS_IN_HIERARCHY

public static final String FIND_WRITE_ACCESS_IN_HIERARCHY
Search menu: name of standard Find Read Access in Hierarchy global action (value `"org.eclipse.jdt.ui.actions.WriteAccessInHierarchy"`).

See Also:
  - Constant Field Values

### FIND_WRITE_ACCESS_IN_WORKING_SET

public static final String FIND_WRITE_ACCESS_IN_WORKING_SET
Search menu: name of standard Find Read Access in Working Set global action (value `"org.eclipse.jdt.ui.actions.WriteAccessInWorkingSet"`).

See Also:
  - Constant Field Values

### FIND_OCCURRENCES_IN_FILE

public static final String FIND_OCCURRENCES_IN_FILE
Search menu: name of standard Occurrences in File global action (value `"org.eclipse.jdt.ui.actions.OccurrencesInFile"`).

Since:
  2.1
See Also:
  - Constant Field Values

### FIND_EXCEPTION_OCCURRENCES

public static final String FIND_EXCEPTION_OCCURRENCES
Search menu: name of standard Find exception occurrences global action (value `"org.eclipse.jdt.ui.actions.ExceptionOccurrences"`).

Since:
  3.0
See Also:
  - Constant Field Values

### FIND_IMPLEMENT_OCCURRENCES

public static final String FIND_IMPLEMENT_OCCURRENCES
Search menu: name of standard Find implement occurrences global action (value `"org.eclipse.jdt.ui.actions.ImplementOccurrences"`).

Since:
  3.1
See Also:
  - Constant Field Values

### FIND_METHOD_EXIT_OCCURRENCES

public static final String FIND_METHOD_EXIT_OCCURRENCES
Search menu: name of standard method exit occurrences global action (value `"org.eclipse.jdt.ui.actions.MethodExitOccurrences"`).

Since:
  3.4
See Also:
  - Constant Field Values

### FIND_BREAK_CONTINUE_TARGET_OCCURRENCES

public static final String FIND_BREAK_CONTINUE_TARGET_OCCURRENCES
Search menu: name of standard Find break/continue occurrences global action (value `"org.eclipse.jdt.ui.actions.BreakContinueTargetOccurrences"`).

Since:
  3.4
See Also:
  - Constant Field Values

## Constructor Details

### JdtActionConstants

public JdtActionConstants()